# Get company data

## Request <a href="#request" id="request"></a>

### Url

```
GET 
https://wilson.40mat.com/apif/v2/auth/company
```

### Headers

<pre><code><strong>AUTH
</strong>Bearer "eyJ0eXAiOiJKV1QiLCJub25jZSI6IndUZXphSTNjdTNVYj..."
</code></pre>

### Parameters

```
No parameters are required for this endpoint.
```

### Body

```
No body required for this endpoint.
```

***

## Response&#x20;

```json
{
    "azure_id": "33a23dae85...",
    "create_at": "2021-02-06T10:32:14.194000",
    "id": "67a48fae85e...",
    "id_bot_default": "67a48fae85e...",
    "license": {
        "expiration": "2025-10-31T00:00:00",
        "knowledge_base_size_max": "10GB",
        "license_type": "DEMO",
        "questions_max": "10000"
    },
    "name": "40Factory Srl",
    "update_at": "2021-02-06T10:32:14.192000"
}
```

The response is in JSON format contain array of object with following properties:

* `azure_id` (string): Id in Azure Entra ID (ex Active Directory)
* `id` (string): Company id
* `id_bot_default` (string): Id of company default bot
* `license` (object)
  * `expiration` (string datetime): License expiration
  * `license_type` (string): Type of license: `BASIC`, `DEMO`, `PRESALES`, ...
  * `knowledge_base_size_max` (string): Max size of knowledge base
  * `questrions_max` (string): Max number of questions
* `name` (string): Company name
* `create_at` (string datetime): Date of creation
* `update_at` (string datetime): Date of last update

***

## Code example

{% tabs %}
{% tab title="Python" %}

```python
import requests
import json

url = "https://wilson.40mat.com/apif/v2/auth/company"

headers = {
  'Authorization': '••••••'
}

response = requests.request("GET", url, headers=headers)

print(response.text)
```

{% endtab %}

{% tab title="cURL" %}

```powershell
curl --location 'https://wilson.40mat.com/apif/v2/auth/company' \
--header 'Authorization: ••••••' 
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://40factory.gitbook.io/wilson/3.10/rest-api/authentication/get-company-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
